Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Fresh install 5.15: Could not load the Qt platform plugin "xcb"



  • I installed 5.15 fresh. twice. on Linux. running a simple application gives me the error

    qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
    
    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
    
    Aborted (core dumped)
    

    what gives? Anyone else have this problem? I'm running Linux Mint 18.3.



  • Found it...
    libqxcb.so wanted libxcb-xinerama.so.0, which apparently i was missing.
    installed it and all is well.
    frustrating.



  • Thanks for the tip! Just upgraded Qt from 5.14 to 5.15 on my Ubuntu 20.04 and got stuck with the same error. Easily fixed with a

    sudo apt install libxcb-xinerama0
    


  • @hskoglund thank you so much, it work for me!


Log in to reply